Subject: [TR] Happy Birthday TCF2549L

From: <[email-masked]>
Date: Fri, 18 Oct 2013 11:26:20 -0500

51 years ago today as the production of the TR3 was weeks from concluding
TCF2549L "Aunt B" was produced and despatched to the US, as all TR3Bs were.
Delivered to a dealer in New Jersey she spent most of her life in the
Pennsylvania/New England area until moving to Houston about 10 years ago.  I
have owned the car for about a year now and am slowly restoring her past the
many neglected years of sand & salt driving.
 
IF you know anything of this car, I still have many gaps in the history
line, I would appreciate whatever you might me able to fill in.
 
Bill
 
Bill Beecher
'58 TR3A TS/30766L "Tarbaby"
'62 TR3B TCF/2549L " Aunt B" (in rehab)
 <http://www.triumphowners.com/1566> www.triumphowners.com/1566
'68 Land Rover Series IIa 88" "The Beast"
"Keep Calm and Carry On

** [email-masked] **

Archive: http://www.team.net/archive